import React from "react";
import { RouteDefinition } from "../../interfaces/route-definition";
interface NestedRoutesByPropertyProps {
    propertyName: keyof RouteDefinition;
    routes: RouteDefinition[];
}
/**
 * Renders Route components mapped to a custom property
 */
declare const NestedRoutesByProperty: React.FC<NestedRoutesByPropertyProps>;
export { NestedRoutesByProperty, NestedRoutesByPropertyProps };
