import React from "react";
/**
 * Custom hook providing utility to take some action when a mouse event is fired outside of an element.
 * @param ref
 * @param handler
 * @param deps
 */
export declare function useOnClickOutside(ref: React.RefObject<HTMLElement>, handler: () => void, deps?: React.DependencyList | undefined): void;
